> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Hris Onboarding

> Removes an in-progress worker by voiding unsigned DocuSign envelopes and soft-revoking their role.

Not available to API keys yet. It will need `people:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/delete-hris-onboarding
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/delete-hris-onboarding:
    post:
      operationId: deleteHrisOnboarding
      summary: Delete Hris Onboarding
      description: >-
        Removes an in-progress worker by voiding unsigned DocuSign envelopes and
        soft-revoking their role.


        Not available to API keys yet. It will need `people:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteHrisOnboardingRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteHrisOnboardingResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DeleteHrisOnboardingRequest:
      type: object
      properties:
        roleInOrgId:
          type: string
          format: uuid
      required:
        - roleInOrgId
    DeleteHrisOnboardingResponse:
      type: object
      properties:
        roleInOrgId:
          type: string
        revokedAt:
          type: string
      required:
        - roleInOrgId
        - revokedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
